msxpertsuite (5.8.4-1) unstable; urgency=low

  * Make the user manuals and install them under the control of CMake.

  * Convert d/rules to the debhelper mini format.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Feb 2019 13:46:36 +0100

msxpertsuite (5.8.3-1) unstable; urgency=low

  * Make sure CMake is called during dpkg-buildpackage -A (Closes: #921727).
    Thanks to Santiago Vila <sanvila@debian.org> for the report.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Feb 2019 17:02:20 +0100

msxpertsuite (5.8.2-1) unstable; urgency=low

  * New version with the daps dependency for the user manuals build.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Feb 2019 19:04:58 +0100

msxpertsuite (5.8.1-1) UNRELEASED; urgency=low

  * New upstream release with new configuration mode for the IsoSpec isotopic
    cluster calculations.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Feb 2019 21:33:53 +0100

msxpertsuite (5.8.0-1) UNRELEASED; urgency=low

  * New upstream version with implementation of a GUI for the IsoSpec library.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 29 Jan 2019 10:12:55 +0100

msxpertsuite (5.7.3-1) unstable; urgency=low

  * Fixes upstream.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 16 Jan 2019 19:14:57 +0100

msxpertsuite (5.7.2-1) unstable; urgency=low

  * Bug fixes in upstream massXpert.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 15 Jan 2019 22:05:46 +0100

msxpertsuite (5.7.1-1) unstable; urgency=low

  * Small fixes in upstream.

  * Ship the data and doc (all-architecture) material in dedicated packages.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Dec 2018 17:07:40 +0100

msxpertsuite (5.7.0-2) UNRELEASED; urgency=low

  * Fix all -> any Arch silly error. Stupid.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Dec 2018 16:16:12 +0100

msxpertsuite (5.7.0-1) unstable; urgency=low

  * New upstream release featuring the ability to shape a mass peak centroid
    into a Gaussian/Lorentzian configurable peak. Update the user manual to
    document that new feature.
 
  * Break msxpertsuite into two binary packages: msxpertsuite-massxpert and
    msxpertsuite-minexpert.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Dec 2018 12:32:25 +0100

msxpertsuite (5.6.1-1) unstable; urgency=low

  * New upstream release to cope with the libpwiz API change in the
    BinaryDataEncoder class, with the creation of the new BinaryData class to
    handle what used to be std::vector<double>.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 11 Dec 2018 17:42:41 +0100

msxpertsuite (5.6.0-1) unstable; urgency=low

  * New upstream version:
 
    - Improve the interpreation of script lines;
    - Start implementation of a JavaScript script file to calibrate the Synapt
      data.
    - Improve the mass data integration in script mode;
    - When creating mass spectrum from clipboard, automatically trigger the
      computation of the actual mass spectrum plot without requiring a TIC 
      to mass spectrum computation.
    - Provide Savitzky-Golay filtering to any trace in any plot widget with
      undo/redo feature.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 13 Oct 2018 11:59:05 +0200

msxpertsuite (5.5.3-3) unstable; urgency=low

  * Make sure we load the orig tar ball.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Oct 2018 20:08:06 +0200

msxpertsuite (5.5.3-2) unstable; urgency=low

  * Abandon the developer documentation binary package that is too large.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Oct 2018 17:30:09 +0200

msxpertsuite (5.5.3-1) unstable; urgency=low

  * mineXpert: Fix glitch with mouse drag in the axes that nonetheless
    triggers resolving power computation.

  * mineXpert: Make sure to test the ion mobility drift time as an xml string
    value and not as a double value. 

  * mineXpert: Make sure to craft an absolute path file name when exporting
    data in the SQLite3 db format.

  * massXpert: Fix how the user's polChemDefs directory and the polSeqs
    directory are searched for and detected.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Oct 2018 13:18:19 +0200

msxpertsuite (5.5.2-1) UNRELEASED; urgency=low

  * Fix glitch due to calling the mouse press handler twice which triggered
    twice the computations elicited by the mouse press event.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Sep 2018 13:24:34 +0200

msxpertsuite (5.5.1-1) UNRELEASED; urgency=low

  * Bug fix release to fix the bug that made the axes unclickable if the
    graphical items would be laid out in the "overlay" layer.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 21 Sep 2018 09:46:08 +0200

msxpertsuite (5.5.0-1) UNRELEASED; urgency=low

  * New upstream release;

  * mineXpert: Add new figures to the user manual and replace others. Update the user manual;
  
  * mineXpert: Provide a way for the user to configure the tolerance on the fractional part of the z value as is computed during deconvolution, document that new feature in the user manual;
  
  * mineXpert: Ensure that the selection line, start and end markers and texts overlaid on the colormap are white-colored so that they can be visible on the dark blue background;
  
  * mineXpert: Fix corner case crash when hitting Shift while right-button dragging in the colormap;
  
  * mineXpert: Improve GUI in the data slicer window;
  
  * mineXpert: When shift rescaling plots in multigraph plot widget, ensure the y axis full scale is determined on the basis of the greatest y value of all the graphs currently displayed in the view;
  
  * mineXpert: Allow changing the color of a TIC chrom plot right after data file loading (that is, even if it has no relations to other plots);
  
  * mineXpert: Replace ''TIC'' with ''XIC'' chromatogram text where needed;
  
  * mineXpert: Add computation of resolving power when mouse is moved over spectrum.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 20 Sep 2018 15:44:55 +0200

msxpertsuite (5.4.0-1) experimental; urgency=low

  * Port to the libqcustomplot 2.0.1 version. Mostly changes in the data
    format of the plot data in the QCustomPlot class.

  * Fix bug that made the program crash when converting data from mzML to
    SQLite3-based db format when Synapt ion mobility data contained NaN
    values.

  * Fix reporting in the console window of TIC intensity value calculations
    (no error on the result, only the reporting of that result).

  Bump-up standards version to 4.2.0, no changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 11 Sep 2018 19:31:02 +0200

msxpertsuite (5.3.3-1) unstable; urgency=low

  * New upstream release.

  * Fix the "ignore error" directive in the user manual documentation Makefile
    that drives the LaTeX-based compilation of the documents (Closes: #901154);

  * Revert C++14 to C++11 to maintain compatibility with OSes that are less
    advanced with gcc;

  * Fix problem with loading Agilent data because of drift bin count variable.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 20 Jun 2018 17:42:48 +0200

msxpertsuite (5.3.2-1) unstable; urgency=low

  * New upstream release.

  * General revision of the JavaScript reference documentation. Fixes and
    additions.

  * Small fixes.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Jun 2018 22:33:37 +0200

msxpertsuite (5.3.1-1) unstable; urgency=low

  * New upstream release.

  * Make sure it is possible to record [start-end] ranges for TIC intensity
    computations in the TIC chromatogram and drift spectrum widgets.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 01 Jun 2018 16:32:11 +0200

msxpertsuite (5.3.0-1) unstable; urgency=low

  * New upstream release.

  * Ensure that the QScript JavaScript environment works flawlessly even in
    the context of QThread-based code. Written JS-specific functions for
    where QThread would be a problem.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 31 May 2018 14:10:03 +0200

msxpertsuite (5.2.1-1) unstable; urgency=low

  * New upstream release.

  * Fix integration help string that had bad keyboard key information to
    integrate to XIC chromatogram.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 29 May 2018 14:41:25 +0200

msxpertsuite (5.2.0-1) unstable; urgency=low

  * New upstream release.

  * Fix bug with the mzML to SQLite3 db conversion due to not allocation
    QCoreApplication before running the console-based conversion (MS Windows
    only bug, apparently).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 May 2018 12:50:59 +0200

msxpertsuite (5.1.1-1) unstable; urgency=low

  * New upstream release.

  * Fix bug with the failing mass spectrometric data file slicer.

  * Fix bug with the deconvolution of the isotopic cluster.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 24 May 2018 18:40:18 +0200

msxpertsuite (5.1.0-1) unstable; urgency=low

  * New upstream release.

  * Ensure the graphical user interface remains always snappy even when the
    computations are blocking by transferring all the integration tasks to
    QThread-based threads.

  * Improved the feedback to the user when any integration is performed, be
    that integration to a TIC intensity value, a TIC chromatogram, a mass
    spectrum or a drift spectrum.

  * Greatly improve the feedback to the user when integrations are performed
    to a MassSpectrum.

  * Fix bug crashing mineXpert upon streamed mode integrations.

  * Ensure that no binning is performed when a single spectrum is loaded from
    file.

  * Make sure the user sees a help message when loading files. The message
    instructs the user about the way to configure the integrations to a mass
    spectrum.

  * Updated all the tests.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 23 May 2018 22:15:00 +0200

msxpertsuite (5.0.2-1) unstable; urgency=low

  * New upstream release.

  * Fix bug with failing charge state envelope-based mass spectral
    deconvolution.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 24 Apr 2018 21:14:59 +0200

msxpertsuite (5.0.1-1) unstable; urgency=low

  * New upstream release.

  * Fix problem with user manuals not being produced due to UTF-8 encoding
    failure. Thanks to Adrian Bunk <bunk@debian.org> for spotting the build
    problem. Closing bug for now (Closes: #896141).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 20 Apr 2018 13:00:27 +0200

msxpertsuite (5.0.0-1) unstable; urgency=low

  * New upstream release.

  * Bug fixes in quantities:
    * Add ability to trigger a TIC->MZ integration even without prior
      selection of a range in the TIC chrom plot widget;
    * Add XIC extraction feature for multi-plot widgets to be searched for;
    * Fix m_dragging-related bug;
    * Do not combine a DataPoint in a MassSpectrum if its val is 0;
    * Implement a statistics framework to compute statistical characteristics
      of the MassSpectrum instances in a list of spectra to combine.
    * Implement a MZ integration configuration system to ensure that all the
      files from different instruments/vendors can be handled properly. In
      this context, add a feature to filter a trace using Savitzky-Golay
      filtering. That needed an almost complete recoding of the
      binning/combination capabilities of MassSpectrum.
    * Major improvements to the JavaScript'ing capabilities of the software,
      that now cover almost all functionalities.
    * Improvements in the parallel code of spectrum combination.
    * Add JavaScript-specific code documentation with private code doc tags
      and a new doc extractor script. The JavaScript reference doc goes to
      scripting window reference tab and to the mineXpert user manual
      scripting reference chapter.
    * Many improvements to the scripting console;
    * Many many bugfixes, big and small.

  * d/control: replace deprecated "extra" with "optional" software category.

  * Fixes to the MacOSX build system.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 17 Apr 2018 14:46:46 +0200

msxpertsuite (4.2.0-1) UNRELEASED; urgency=low

  * New upstream release.

  * Only useful for the MacOSX build system, fixes to that particular case.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 16 Jan 2018 14:26:48 +0100

msxpertsuite (4.1.1-1) UNRELEASED; urgency=low

  * New upstream release.

  * Only useful for the Windows build system, fixes to that particular case.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 04 Jan 2018 01:06:17 +0100

msxpertsuite (4.1.0-1) unstable; urgency=low

  * New upstream release with a greatly reworked build system to cope with
    the MacOSX build system.

  * Reworked the configuration system to apply to massXpert and mineXpert
    independently (config.h file generated in the respective build
    directories).

  * Fix problem with the VERSION that would adopt various values depending on
    the config.h file that is read (crufty config.h file residing in top
    source dir).

  * Many fixes in the maintainer-scripts/ directory.

  * Standards-Version: 4.1.3: no changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 02 Jan 2018 18:52:11 +0100

msxpertsuite (4.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 14 Dec 2017 20:19:26 +0100

msxpertsuite (3.8.1-2) unstable; urgency=low

  * Forcing new debian package version to allow the package into Debian. No
    changes.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 02 Dec 2017 08:30:55 +0100

msxpertsuite (3.8.1-1) unstable; urgency=low

  * New upstream package:
    * small fixes with the build system in relation with the debian packaging.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 30 Nov 2017 20:43:11 +0100

msxpertsuite (3.8.0-1) unstable; urgency=low

  * New upstream package:
  
      * Major improvements to the scripting environment;
      * Major rewrite and increase of the mineXpert user manual section about
        scripting;
      * Various bugfixes.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 30 Nov 2017 14:31:52 +0100

msxpertsuite (3.7.1-1) UNRELEASED; urgency=low

  * New upstream package:

  * New classes to model simple Trace objects. MassSpectrum now derives from
    Trace. The most basic data object is now DataPoint, which replaces
    MassPeak. 

  * Added scriptability for DataPoint, Trace and MassSpectrum;

  * Changed the developer doc binary package name from msxpertsuite-devdoc to
    msxpertsuite-dev-doc for consistency with the packages in Debian [thanks
    to Adam Conrad (private mail)].

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 08 Nov 2017 13:32:27 +0100

msxpertsuite (3.7.0-1) unstable; urgency=low

  * New upstream package:

      - small bug fixes;
      - unit testing code using the catch testing software;
      - regression testing using the scripting framework already coded into
        mineXpert.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 13 Oct 2017 11:16:18 +0200

msxpertsuite (3.6.7-1) unstable; urgency=low

  * New upstream package with finished mineXpert developer documentation.

  * Replace devdoc/html/jquery.js by a symbolic link to the same file of the
    libjs-jquery package.

  * Standards-Version: 4.0.1 
 
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Sep 2017 12:14:45 +0200

msxpertsuite (3.6.6-1) unstable; urgency=low

  * New upstream release. Mainly updated the dev docs and now 
    building html doxygen-based documentation 
    (binary package msxpertsuite-devdoc).

  * Occasional code cleanup and code improvements.

  * Make sure that the arch vs indep build is ok and does not depend on the
    order of building. Thanks again to Aaron M. Ucko  <ucko@debian.org> for
    reporting the building issue (Closes: 874530).
 
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Sep 2017 10:07:25 +0200

msxpertsuite (3.6.5-1) UNRELEASED; urgency=low

  * New upstream release. Mainly updated the dev-docs and now 
    building html doxygen-based documentation 
    (binary package msxpertsuite-devdoc).
 
 -- Filippo Rusconi <lopippo@debian.org>  Tue, 05 Sep 2017 14:14:43 +0200

msxpertsuite (3.6.4-1) unstable; urgency=low

  * New upstream release. Mainly updated the dev-docs that sit in the code
    (based on doxygen).
  
  * CMake-based project build system improved to better separate the build of
    the "binary" components of the project from the build of the "indep"
    compoments of the project (see below for rationale).

  * debian packaging improved to fix build problems. Many thanks to by Aaron M. Ucko
    <ucko@debian.org> for reporting them.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Sep 2017 15:35:05 +0200

msxpertsuite (3.6.3-1) unstable; urgency=low

  * New upstream release with bug fixes in the reporting of ranges for the
    "to tic intensity" integration.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 17 Jul 2017 17:46:52 +0200

msxpertsuite (3.6.2-1) unstable; urgency=low

  * New upstream release with name change;

  * debian/control: bump up Standards version to 4.0.0 (no changes);

  * debian/control: rework the software description to integrate the
    mineXpert and convXpert programs;
  * debian/control: add build-dep libboost-dev and libtclap-dev and gsfonts
    (required to succeed in converting splashscreen.svg to splashscreen.png).

  * Entirely reworked the man page generation system, using docbook-to-man
    (added build-time dependency).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 30 Jun 2017 17:16:06 +0200

massxpert (3.6.1-1) unstable; urgency=low

  * New upstream version: Fix programming error detected by using GCC-6.
    Thanks to Lucas Nussbaum <lucas@debian.org> (Closes: 831089).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 Jul 2016 12:16:20 +0200

massxpert (3.6.0-1) unstable; urgency=medium

  * New upstream version which modifies the way masses are calculated for
    fragment oligomers so as to allow negative ionization mode
    fragmentation experiments. The user needs to review the polymer
    chemistry definitions so that they account for the new workings: the
    formula of the fragmentation patterns needs to yield a neutral species
    (typically by removing H from the original FragSpec formula: appending
    -H to it should do). The ionization of the fragments is then performed
    using the current ionization rule defined in the editor window of
    massXpert. Updated the manual to  document all these changes.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 19 Sep 2015 15:00:32 +0200

massxpert (3.5.0-2) unstable; urgency=medium

  * Closes: #777998.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 09 Jul 2015 16:43:00 +0200

massxpert (3.5.0-1) unstable; urgency=medium

  * Fixes to the code errors spotted by gcc-5.1.1 (20150622). Not closing
    the bug number #777998 as requested by the reporter (Matthias Klose
    <doko@debian.org>);

  * New upstream version 3.5.0 with finished Qt5 port;

  * Build-Depends: change to qtbase5-dev (>= 5.3.2+dfsg-5), libqt5svg5-dev
    (>= 5.3.2-2), and cmake (>= 3.2.2-2);

  * Standards-Version: bump up to 3.9.6. No changes needed;

  * moved upstream to upstream/metadata (Thanks Andreas Tille, although I
    had done this long ago, Mon Aug 18, without pushing, sadly).
    
 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Jul 2015 22:37:23 +0200

massxpert (3.4.1-1) unstable; urgency=low

  * This new package happens to close a bug which needed no fixes
    (Closes: #701319)
  * debian/control: set Standards-Version: 3.9.4
  * debian/control: set standard vcs uri's
  * debian/compat: set value 9 (hardening stuff automagically handled)
  * debian/rules: update the hardening stuff according to using v9 of
    debhelper
  * debian/control: set debhelper dependency version to 9.20130630
  * massxpert.desktop: Icon=massxpert-icon-32 (no extension for filename)
  * massxpert.desktop: Categories=Science (one categ. only)
  
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 01 Jul 2013 14:25:27 +0200

massxpert (3.4.0-2) UNRELEASED; urgency=medium

  * Team upload
  * Moved debian/upstream to debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Fri, 31 Oct 2014 18:55:26 +0100

massxpert (3.4.0-1) unstable; urgency=low

  * New upstream release:

    - Implemented the primary selection clipboard copy in the sequence
    editor window;

    - Implemented feature that allows one to enter a coordinates string in
    the sequence editor window so as to select a specific sequence or make
    a multi-region selection or make a multi-selection region.

    - Refactored the mz lab GUI so as to greatly simplify its use.
  
    - Update of the french translation.
  
 -- Filippo Rusconi <lopippo@debian.org>  Tue, 25 Dec 2012 22:04:33 +0100

massxpert (3.3.0-1) unstable; urgency=low

  * New upstream release implementing new ways to import mass data in the
    m/z lists of the mzLab. Updated the documentation.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Dec 2012 21:00:17 +0100

massxpert (3.2.4-1) unstable; urgency=low

  * debian/control: add Build-Depends: dpkg-dev (>= 1.16.1~) as lintian
    complained about transitive dependencies that should be made explicit.
  
  * Added new modifications in the protein-1-letter chemistry definition.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 17 Oct 2012 20:37:47 +0200

massxpert (3.2.3-1) unstable; urgency=low

  * debian/rules: setting DPKG_EXPORT_BUILDFLAGS=1 to implement the Debian
    hardening guidelines.

  * Modification in the dna.xml file to better document the photocleavable 
    biotin modification

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Jun 2012 11:09:47 +0200

massxpert (3.2.2-1) unstable; urgency=low

  * Upstream release:

    - Fix warning messages from gcc, complaining about set variable
    values, but unused variables. Replaced corresponding Q_ASSERT() calls
    to qFatal() ones.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 14 May 2012 17:28:42 +0200

massxpert (3.2.1-1) unstable; urgency=low

  * Upstream release:

    - fix a bug in the definition of the protein chemical modifications 
    TNB and  DTNB;
  
  * Add debian/upstream to document a reference to a paper describing this
    software;
  * Fix problem with failing symbolic link between the massxpert and -dbg
    doc directories (lintian W binaries-have-file-conflict);
  * Bump-up Standards Version number to 3.9.3 from 3.9.1.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 10 May 2012 15:57:45 +0200

massxpert (3.2.0-2) unstable; urgency=low

  * debian/control: configure packaging for debug symbols (new
    massxpert-dbg binary package added).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 24 Nov 2011 13:42:48 +0100

massxpert (3.2.0-1) unstable; urgency=low

  * Upstream release:

    - Added feature to simulate fragmentations of oligomers that contain
    cross-links. 
    
    - Updated the user manual to document the new feature.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 22 Oct 2011 21:45:33 +0200

massxpert (3.1.0-1) unstable; urgency=low

  * Upstream release:

    - Updated the user manual since a long time, documenting part of the
    features implemented since last manual update;
  
    - Implemented automatic naming of XpertMiner input data dialog
    windows;
  
    - Implemented export of XpertMiner output data into new input data
    dialog windows, so as to be able to chain calculations;
    
    - Refactored isotopic cluster calculation code;
    
    - Implemented a new spectrum calculation feature that simulates a
    complete spectrum starting from a list of oligomers obtained by
    cleavage of a polymer sequence. An isotopic cluster can be computed
    for each oligomer in the list or not. If not, the mono or avg mass can
    be used to compute the peak shape;
    
    - Implemented a new spectrum calculation feature that simulates a
    complete spectrum starting from a list of analytes obtained by
    calculating a m/z ratio series with a elemental formula as the
    starting point.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 29 Aug 2011 19:01:23 +0200

massxpert (3.0.0-1) unstable; urgency=low

  * Upstream release:
    
    - Major rework of the XpertMiner module;
    - Bug fixes;
    - Feature improvements.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 21 Jul 2011 22:51:24 +0200

massxpert (2.9.0-1) unstable; urgency=low

  * New upstream release:
  
    - Switched to the TableView data display method the whole XpertMiner
    module. This allows for easier code maintaining and for clearer
    graphical user interface.
    
    - Refactored code in the MzLabInputOligomerTreeView class code to
    improve quality and readability.
  
    - Improved the XpertMiner window layout for more clarity.

    - Added feature to call a calculator window right from the sequence
    editor window with either whole/selected sequence masses preseeded.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 17 Jul 2011 18:43:48 +0200

massxpert (2.8.0-1) unstable; urgency=low

  * New upstream release:
  
    - Switched to the TableView mass search oligomer display (was using
    TreeView);

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Jul 2011 14:52:08 +0200

massxpert (2.7.0-1) unstable; urgency=low

  * New upstream release:
  
    - Switched to the TableView fragmentation oligomer display (was using
    TreeView);
  
    - Added feature by which it is now possible to stack fragmentation
    oligomers from different fragmentation calculations, thus providing a
    way to have a single list of fragments calculated in different
    ways.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Jul 2011 22:47:50 +0200

massxpert (2.6.0-1) unstable; urgency=low

  * New upstream release:
  
    - Completely refactored the code for the isotopic cluster
    simulator. Increased speed calculation by a factor ~8. In particular,
    the simulator now handles handsomely the heavily-charged large
    polymers. It can use the gaussian or the lorentzian mathemical model
    to compute the curves.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 29 Jun 2011 07:48:37 +0200

massxpert (2.5.2-1) unstable; urgency=low

  * New upstream release:
  
    - Fix regression causing a crash when fragmenting oligomers in any
    kind of situation. This fix is critical.
  
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 06 Jun 2011 02:34:46 +0200

massxpert (2.5.1-1) unstable; urgency=low

  * Modified the email address of the uploader to my debian address
    lopippo@debian.org.
  * Removed the DM-Upload-Allowed bit.
  
  * New upstream release:
  
    - Fix serious bug that crashed the program upon recleaving a polymer
    within the same CleavageDlg window. That bug appeared related to the
    upgrade of the Qt libraries as it crept without modifications of the
    massXpert source code. The cleavage oligomers are now displayed in a
    QTableView widget instead of a QTreeView widget which simplified a lot
    both the code and the graphics display of the data.
  
    - Fix problems with the reliability of the cleavage details that were
    provided as feedback when an oligomer from the tree/table view was
    selected.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 05 Jun 2011 19:08:29 +0200

massxpert (2.5.0-1) unstable; urgency=low

  * New upstream release:
  
    - Implement feature allowing one to apply formulas commonly found
    during fragmentation, like loss of water or loss of ammonia, to each
    fragment oligomer computed for any given fragmentation pattern.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sun, 22 May 2011 21:25:17 +0200

massxpert (2.4.4-1) unstable; urgency=low

  * New upstream release:
  
    - Fix FTBFS with gcc-4.6 -Werror (this package builds with -Werror,
    and GCC 4.6 triggers new warnings) reported by Matthias Klose
    <doko@debian.org> (Closes: #625382).

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 04 May 2011 22:50:03 +0200

massxpert (2.4.3-1) unstable; urgency=low

  * Upstream release. 
    
    - Rewrote the Formula's elementalComposition() so that the order of
    the atoms is in the CHNO->alphabetic conventional order;
    
    - Added ion charge proton to the formula of the z fragmentation
    specification;
    
    - Added feature: when running the mz calculations dialog from the
    sequence editor window, the masses are automatically set in the dialog
    window
    
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sat, 19 Feb 2011 19:11:35 +0100

massxpert (2.4.2-1) unstable; urgency=low

  * New upstream release:
  
    - Fix bug (Closes: #611142) due to insufficient checking of the array
    boundary upon clicking on the sequence editor outside of the vignettes.
  
    - debian/control : Standards-Version: 3.9.1.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 25 Jan 2011 23:26:23 +0100

massxpert (2.4.1-1) unstable; urgency=low

  * Fix bug due to returning false when should return a string. Thanks to
    Mathias Klose <doko@ubuntu.com> for reporting the bug, and to Stéphane
    Téletchéa <steletch@free.fr> for reporting the same in private
    (Closes: #607723).

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 04 Jan 2011 16:21:03 +0100

massxpert (2.4.0-1) unstable; urgency=low

  * Upstream release:
  
    - Monoisotopic mass is now the mass of the isotope of highest
    abundance and not of lowest mass. This won't change anything for
    biopolymers, as all the chemical elements used there have their
    lightest isotope of highest abundance;

    - Update the french translation;
    
    - Add two peptide example files.
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 10 Dec 2010 11:16:30 +0100

massxpert (2.3.6-1) unstable; urgency=low

  * Upstream release:

    - Add a warning when the user is trying a polymer cleavage on a region
    not encompassing all the cross-linked monomers;

    - Fix a linker flag for the MacOSX PPC build;
    
    - Fix a GUI bug in the sequence editor window
    (gui/monomerCodeEvaluator.cpp).
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Mon, 10 May 2010 20:16:34 +0200

massxpert (2.3.5-1) unstable; urgency=low

  * Upstream release:
    
    - Add feature to compute the mass differences between any two monomers
    in the polymer chemistry definition;
    
    - Update the user manual to document the new feature.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 29 Apr 2010 15:13:50 +0200

massxpert (2.3.0-1) unstable; urgency=low

  * Upstream release: 
    
    - Add feature to allow cleaving polymer sequences only in the
    currently selected region of the sequence;
    
    - Improvements in the GUI of the cleavage dialog window;
    
    - Fix one bug in the constructor of the CalcOptions object, which
    failed to correctly initialize the CoordinateList member data;
    
    - Update the documentation (user manual) to describe the new cleavage
    feature.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 27 Apr 2010 14:20:25 +0200

massxpert (2.2.0-1) unstable; urgency=low

  * Upstream release:
  
    - Fix bug with polymer sequence not saving a modified name in the
    sequence editor window;
  
    - Implemented a protein sequence importer for PDB cristallographic
    data;
    
    - Update the french translation;
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 20 Apr 2010 22:37:24 +0200

massxpert (2.1.1-1) unstable; urgency=low

  * Upstream release:
    - Fix programming error: use of an uninitialised variable.
  
  * debian/rules: remove the 'dh_desktop -a' call.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 13 Jan 2010 20:49:30 +0100

massxpert (2.1.0-1) unstable; urgency=low

  * Upstream release:
    
    - Show the current selection coordinates in the sequence editor window;
    
    - Fixed nasty bug due to reusing freed memory. Interestingly, that bug
    only showed up on MOSX;
    
    - Code cleanup (amongs which a number of C-style casts were moved to
      C++-reinterpret_cast's;
      
    - Fix memory leaks;
  
    - Fix programming style glitches.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 22 Dec 2009 15:44:58 +0100

massxpert (2.0.9-1) unstable; urgency=low

  * Upstream release:
    
    - Fixed a bug causing a crash in corner polymer cleavage cases.

  * Switched to source format 3.0 (quilt);
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 26 Nov 2009 20:51:48 +0100

massxpert (2.0.8-1) unstable; urgency=low

  * New upstream release:
  
    - data : fix dna polymer chemistry definition to include
    phosphorothioates;
  
    - Added feature to regularly recall to the user to cite massXpert in
    the About dialog window;
    
    - data: ix monomer definition for uracile;
    
    - New version of the massxpert.spec taken from Thomas Spura
    <tomspur@fedoraproject.org>
    
    - data: added deuterium to atom definitions;
    
    - Enable installing the plugins in a specific directory (to help with
    distributions willing to put shared binaries in /usr/lib64);
    
    - XpertMiner : fix potentially massive memory leaks. Thanks cppcheck;
  
    - Code documentation and cleanup;
    
    - XpertCalc: formulas that were added to the memory of the calculator
    can now be removed;
    
    - XpertCalc : implemented per polymer chemistry definition handling of
    window geometry settings;
    
    - data: mprove fragmentation definitions for dna;
    
    - Fix bug due to not really checking the formula syntax while it was
    reported as validated;
    
    - Formulas now accept a double-quote-enclosed title and spaces.
    
  * debian/copyright: add blurb about location of the GPL-3 license on
    Debian systems.
  
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sat, 21 Nov 2009 20:04:21 +0100

massxpert (2.0.7-1) unstable; urgency=low

  * New upstream release:
  
  * Fix problem with version numbering in the previous release;
  
  * Fix absence of the corresponding .orig.tar.gz (made erroneously a
    native package).

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Mon, 05 Oct 2009 22:54:42 +0200
 
  
massxpert (2.0.6.-1) unstable; urgency=low
  
  * Upstream release:
  
    - Fixes to nroff formatting of the man pages (thanks to Daniel Leidert
    for suggestions);

    - XpertCalc: added possibility to insert formulas in the formula line
    edit by Ctrl-clicking buttons in the chemical keypad;
  
    - XpertCalc: added possibility to surround formulas with spaces for
    much better readability in case of complex structures. This is
    performed by Shit-Ctrl-cliking on the chemical pad buttons;

    - XpertCalc: automatically seed m/z calculation dialog window with
    masses from the XpertCalc main window;
    
    - XpertEdit: bug fix in the sequence editor's feedback to the user
    upon entering a bad monomer code character. When a new valid character
    is entered this old error message is removed;
  
    - XpertCalc: added lots of useful buttons to the dna chemical pad
    configuration file;
    
    - Added bibliographical reference to the massXpert paper in
    _Bioinformatics_ to the man pages;
    
    - XpertCalc: added possibility to store formula in a drop-down list so
    as to be able to recall them in ulterior calculations;
    
    - XpertCalc: implemented new feature by which it is possible to set a
    title to a formula like the following : "initial-dimer" C5H6O9P3,
    which will be interpreted as formula "C5H6O9P3".
    
    - Sequence editing plugins: added possibility to perform more
    sophisticated translation, like from codon to 1-letter code or from
    codon to 3-letters code (protein chemistry);
    
    - XpertEdit: the tool box (available monomers/mass calculation engine
    configuration) now saves its position;
    
    - Improved the CMake-based build system to automatically build the
    binary and the data if nothing is specified on the configuration
    command line (usermanual is not built by default; thanks to Pere
    Constans for reporting);
    
    - Bunch of code tidying and memory leaks fixing (thanks to cppcheck,
    as suggested by Pere Constans);
    
    - XpertEdit: fixed wrong behaviour in the whole/selected sequence
    logic in the mass search dialog window;
    
    - XpertEdit: fixed the multi-character code disambiguation mechanism
    in the sequence editor's available codes tool box widget: it's
    triggered by hitting Ctrl-Enter;
    
    - Xpertedit/XpertDef: improved feedback to the user on file save
    operation errors;
    
    - XpertEdit/XpertDef: added possibility to show non-*.mxp/non-*.xml
    files in the openfile dialogs;
    
    - XpertEdit: improved fragmentation with multiply-charged fragments:
    When there are multiply-charged fragments, the mass now takes into
    account the ionization rule that sits in the sequence editor windows's
    calculation engine configuration.
    
    - Added Doxygen configuration file. Docs generated outside of the
    source tree.
    
    - XpertEdit: fix bug in elementalComposition() that would fail when
    count is negative.  Added simplify() function that calls
    elementalComposition() in turn.  Also fixed the way atomCount objects
    are added to the list of such objects : when an atomCount object
    reaches a 0-count, it gets removed from the list.

    - XpertCalc: added possibility to simplify a complex set of formulas
    into a single factorized formula.
    
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Mon, 05 Oct 2009 10:55:32 +0200


massxpert (2.0.5-1) unstable; urgency=low

  * Upstream release:
  
    - Bug fix release : one serious bug was fixed, whereby the program
    would crash upon re-cleaving a polymer sequence in the same cleavage
    dialog window. This bug was already present (and silent) in previous
    versions, but became crash-inducing upon upgrade of the version of the
    Qt libraries from 4.4.x (x=3, if I recall correctly) to present
    version 4.5.2.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 18 Sep 2009 13:49:13 +0200


massxpert (2.0.4-1) unstable; urgency=low
  
  * Upstream release:
  
    - Performed an extensive cleaning work on the messages to the user and
    in the GUI messages. Updated the french translation accordingly. Fixes
    in the GUI stuff itself (like setting line edit widgets to read-only
    where necessary);
  
    - XpertCalc: allow pasting the chempad's button's formula in the
    formula line edit widget instead of immediately accounting it in the
    results masses;
  
    - XpertCalc: remove spaces from the formula entered in the calculator
    window;
    
    - XpertCalc: rework the chemical pad specification to allow grouping
    of buttons and their coloring along with coloring of the group boxes;
  
    - XpertCalc: update all the chemical pad configuration files of the
    distribution to the new format (chem_pad.conf files);
  
    - User manual: update to document the new features of the calculator;
  
    - XpertCalc: fixed a bug due to not really clearing seed/result masses
    when later using the chemical pad;
  
  * massxpert.1 man page: specify better the location of the GPL-3 file on
    Debian systems.

  * Bump Standards-Version to 3.8.3.

  * debian/rules: remove the CFLAGS = -Wall -g setting as it is already set.

  * debian/rules: change CFLAGS to CXXFLAGS.
	
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 01 Sep 2009 15:45:56 +0200

  
massxpert (2.0.3-1) unstable; urgency=low

  * debian/control: Rename binary package from massxpert-bin to massxpert
    and remove Section: science field (inherits from the source package);
  
  * debian/control: Move all the Build-Depends-Indep dependencies
    (texlive-latex-recommended,qtexlive-fonts-recommended) to
    Build-Depends dependencies (Closes: #528086) to work around the
    builders bug. For more details, see bugs:
  
    - Bug #528086: massxpert_2.0.0-1(mips/unstable): FTBFS:
    missing build dependency
    
    - Bug #521918: pbuilder --build --binary-arch invokes 'build' target. 
  
  * debian/control: Remove no more required Build-Depends-Indep
    latex-related cm-super-minimal package (thanks to removing
    dependencies in the UseLATEX.cmake file;
  
  * debian/control: Add Vcs-Git and Vcs-Browser fields;
  
  * debian/control: Set Uploaders to Filippo Rusconi
    <rusconi-debian@laposte.net>;
  
  * debian/control: Set Maintainer to The Debichem Group
    <debichem-devel@lists.alioth.debian.org>;
  
  * debian/rules: Remove old unused variables;
  
  * debian/rules: Fully separated the arch/indep targets which build and
    install stuff in different directories;
  
  * debian/rules: .PHONY targets are now individually specified (so as not
    to forget them when targets change);
  
  * debian/control: remove unrequired Build-Depends-Indep packages;

  * debian/watch: added file;
    
  * debian/control: massxpert-bin to massxpert renaming:
    Conflict/Replace massxpert-bin
	
  * New upstream release (worked a lot with Lionel Elie Mamane):
    
    - gui/massxpert_fr.ts: updated the french translation;
    
    - usermanual/front-matter.tex & usermanual/massxpert.tex: remove user
    manual dependency on LaTeX package "textcomp", so as not to embed
    Type3 fonts in the PDF file. Replaced (C) with \copyright. Small
    typographical fixes.
    
    - usermanual/UseLATEX.cmake: remove other non-essential software
    requirements to reduce dependencies;
    
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 10 Jun 2009 14:33:04 +0200

massxpert (2.0.2-1) UNRELEASED; urgency=low

  * New upstream release (worked a lot with Lionel Elie Mamane):
    
    - usermanual/CMakeLists.txt: remove the "-Werror" flag as almost any
    LaTeX compilation produces warnings;
    
    - gui/application.cpp: set sensible values for the default decimal
    places to use to display numerical data on the first program run;
    
    - usermanual/UseLATEX.cmake: update Copyright notice to reflect the
    fact that the file was modified by me;
    - lib/configSettings.cpp: remove unncessary configuration settings
    feedback messages, other improvements;
  
    - gui/main.cpp: remove unnecessary feedback for the loading of
    translation files;
  
    - Added 'Close' button to aboutDlg dialog window.
    
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 15 May 2009 18:00:22 +0200

massxpert (2.0.1-1) UNRELEASED; urgency=low
  
  * New upstream release: bug fix release and other improvements.
  
    - Clean source tree;
    
    - lib/configSettings.cpp: fix typo (thanks Lionel Mamane);
    
    - Modify usermanual build process to use UseLATEX.cmake;
    
    - Fix bug due to not taking into account the locale while making
    textual mass lists starting from oligomer items in treeviews.
    
    - Fix locale-specific input/output inconsistencies;
    
    - Improved the simulations' result export as text;
    
    - usermanual/UseLATEX.cmake: removed the requirement of
    /usr/bin/convert from ImageMagick as we do not need it: using pdflatex
    and only png-format graphics files;

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 15 Apr 2009 21:17:17 +0200

massxpert (2.0.0-1) unstable; urgency=low
  
  * Standards version is 3.8.1.

  * Bumped debian/compat to 7.
  
  * Entirely reworked debian/rules, which now has build-arch and
    build-indep fully separated targets totally fitting the Build-Depends
    and Build-Depends-Indep fields of debian/control.
  
  * New upstream release:
  
    - Fixed bug in XpertDef due to not verifying upon removal of a
    modification if it is used by a cross-linker. Crashes. Report by Ron
    Bakus (UCSD domain edu).

    - Fixed bug with storing polymer sequences and polymer chemistry
    definitions with crippled XML;
  
    - Added configurability to the number of decimal places used to
    display values for pH/pKa, atoms/isotopes, oligomers, polymers;
  
    - Fixed regression with un-cross-linking;
  
    - Fixed bug with calculation of right-end fragment boundaries;
  
    - Big work within the XpertMiner module;
  
    - Huge internal work with the ionization paradigm in particular within
    the fragmentation framework.

  * Fixes with the debian/* so that the source package now build three
    packages: massxpert-bin, massxpert-data, massxpert-doc.
  
  * A bunch of improvements in the Debian packaging thanks to Lionel
    Mamane mentoring (parallel support in rules and others).

  * Sponsored upload done by Lionel Elie Mamane <lmamane@debian.org>

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Tue, 31 Mar 2009 23:06:14 +0200

massxpert (1.7.8-1) unstable; urgency=low

  * New upstream release:
  
    - Implemented multi-cleavages;
  
    - Updated the User Manual

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Tue, 08 Jul 2008 13:09:31 +0200

massxpert (1.7.7-1) unstable; urgency=low

  * New upstream release:
  
    - Implemented multi-region selections;

    - Updated the User Manual.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Fri, 04 Jul 2008 13:35:35 +0200

massxpert (1.7.6-1) unstable; urgency=low

  * New upstream release:
  
    - Moved the project to GNU GPL version 3;
  
    - Fixes for GUI bugs;
  
    - Fixes with the localization of double values in the GUI;
  
    - First implementation of the mzLab (still experimental feature);
  
    - Classes rework with better handling of ionization throughout the whole project;
  
    - Code cleanup, better handling of constness in the whole project;
  
    - Updated the User Manual.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Wed, 28 May 2008 15:18:37 +0200

massxpert (1.7.5-1) unstable; urgency=low

  * New upstream release:
  
    - Code cleanup throughout the code redesign of some classes and addition
    of Ion class;
  
    - Implemented namespace massXpert throughout the project;
  
    - Update of the french translation;
  
    - Bug fixes;

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Thu, 24 Apr 2008 21:12:56 +0200

massxpert (1.7.4-1) unstable; urgency=low

  * New upstream release:
  
    - Implemented new means to define fragmentation specifications that
    involve the decomposition of the fragmented monomer's side chain;
  
    - Fixed memory leak and bugs;
  
    - Updated the french translation and the user manual.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Wed, 02 Apr 2008 22:59:50 +0200

massxpert (1.7.3-1) unstable; urgency=low

  * Upstream release with main new feature: the filtering implemented for
    the previous version was extended also for the fragmentation and mass
    searching oligomer data;
  
  * Improved the use of the filtering feature thanks to modifications in
    the graphical user interface;
  
  * Implemented check that a cross-link name cannot be used already as a
    modification name (and vice versa);
  
  * Fixes to regressions that crept in during last version developments
    and code cleanup;
  
  * Update of the documentation;

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Sun, 30 Mar 2008 17:34:27 +0200

massxpert (1.7.2-1) unstable; urgency=low

  * Upstream release with main new figure: the oligomer data from a
    polymer sequence cleavage might be filtered live and in-place using a
    sortingProxy treeview (powerful feature of the Qt library);
  
  * User manual update;
  
  * Minor bugfixes.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Tue, 25 Mar 2008 22:11:17 +0100

massxpert (1.7.1-1) unstable; urgency=low

  * Upstream release with main new feature: intra-molecular cross-links.
  
  * Bug fixes and small improvements here and there.

  * Modified dh_shlibs line to exclude the plugins from the scan, as these
    are private libraries with no SONAME.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Tue, 18 Mar 2008 22:24:36 +0100

massxpert (1.7.0-1) unstable; urgency=low

  * Upstream bug-fix release. 
  
  * Fixed crash caused by elemental compositions calculations using
    manually-defined polymer sequence modifications (thanks to as
    calculations session with Fatima Boutimah in my lab);
  
  * Modified the polymer sequence file format so as to be able to save
    polymer sequence modifications with a fully qualified <mdf> (see
    polChemDef format) element. This allows storing the modifications with
    full qualification (and not only name) even when the modification is
    manually-defined.
  
  * Added man massxpert-doc.7 page documenting the User manual.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Thu, 21 Feb 2008 14:28:55 +0100

massxpert (1.6.9-1) unstable; urgency=low

  * Upstream release with more flexible monomer modification procedure
    (big inner code changes not visible by the user).
  
  * Update the documentation.
  
  * Extended copyright to 2008.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Fri, 15 Feb 2008 10:48:49 +0100

massxpert (1.6.8-1) unstable; urgency=low

  * Upstream release with some small modifications in the debian packaging
    (massxpert.1 man page an massxpert.desktop are installed differently
    so that these files might also be used when generating rpm packages);

  * The user manual now installs properly in /usr/share/doc/massxpert-doc
    and not /usr/share/doc/massxpert, as was the case before. Also, the
    user manual was updated so as to reflect the new polymer chemistry
    definition GUI design.

  * Removed the lintian override file, as I finally found why two of the
    three plugins would make lintian complain about
    shlib-with-non-pic-code.

  * Fully rewritten the polymer chemistry definition graphical interface.

  * Some bug fixes here and there.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Tue, 18 Dec 2007 11:39:06 +0100

massxpert (1.6.7-1) unstable; urgency=low

  * Upstream release with the following modifications:
  
  * CMake'ization of the source tree.
  
  * Fixed bug with calculation net charges with any given pH.
  
  * Standards-Version: 3.7.2

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Sun, 09 Dec 2007 18:40:55 +0100

massxpert (1.6.6-1) unstable; urgency=low

  * Upstream release with the following modifications: 
  
  * Update the french translation and the user manual to reflect the 
    new features of the cleavage- and fragmentation-base oligomer
    generation.
  
  * The oligomers from cleavage and fragmentation might now be calculated
    as multi-charged oligomers
  
  * Implemented the fragmentation stuff in new class MxpFragmenter and
    removed the corresponding code from the fragmentation dialog
    class. Also, made the same use of QList<MxpOligomerList *> * instead
    of two nested QList objects as previously performed with the cleavage
    code in the fragmentation code.
    
  * Implemented ionization level ranges for oligomers, starting with the
    cleavage application bits
  * Reimplemented the gui polymer sequence cleaving stuff to use the
    modified MxpCleaver object
  * Reimplemented the cleaver object to use the new oligomer list object
  
  * Implemented and added to library 'list of oligomers' new class:
    MxpOligomerList derived from QList<MxpOligomer *>

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Sun, 23 Sep 2007 14:26:47 +0200

massxpert (1.6.5-1) unstable; urgency=low

  * Upstream release with the following modifications: 
  
  * Added possibiliy to restrict monomer modifications to given
    monomers. If the user tries to modify a monomer with a modification
    that is not supported for it, the modification does not occur and the
    user gets a message. Implemented a mechanism by which these monomer
    modification limitations can be overridden.
  
  * Fixed bug with parsing atom symbols with more than 2 characters.
  
  * Added fake atoms so as to to allow defining formulas with precise
    masses.
  
  * Fixed bug with creation of default monomer modification vignette and
    setting it to the hash with a bad key. That would lead to bad
    reference counting and crashes upon unmodification of more than one
    modified monomer.
  
  * Better feedback messages to the sequence editor window's statusBar
    while doing initial sequence drawing.
  
  * Updated french translation.
  
  * Reverted to version 2 of the GPL as the Qt libraries are not using the
    'version 2 or any later version' wording.

 -- Filippo Rusconi <massxpert-maintainer@polyxmass.org>  Sun, 19 Aug 2007 16:51:09 +0200

massxpert (1.6.4-1) unstable; urgency=low

  * Upstream release with the following modifications:
  
  * Translated the application into french. Took advantage of the
  translation work to uniformize the messages and the labels on the UI
  widgets.

  * Bug fixes with modifications declared in some polymer chemisty
  definitions but not available as graphics files or not registered in
  the modification_dictionary.

  * Added default modification vignette, so that when a modification
  is defined without assigning a corresponding vignette the program
  does not crash.

  * Switch to 4.3.0 for MS-Windows also.

  * Minor bugfixes

 -- Filippo Rusconi <massxpert-maintainer@polyxmass.org>  Tue, 24 Jul 2007 22:06:00 +0200

massxpert (1.6.3-1) unstable; urgency=low

  * New upstream release.
  
  * Fixed glitches in some fields of the debian/control file.	

  * Fixed problems with the modification vignettes and declarations of
    modifications in the modification_dictionary of some polymer
    chemistry definition.

  * Many improvements in the user manual. 
  
  * Improved handling of polymer sequence modifications. 
  
  * Improvements the GUI and in the calculator recorder output. 

  * Added possibility to modify a polymer sequence arbitrarily by
  entering a chemical formula and not by choosing a modification in
  the polymer chemistry definition. 

  * Switch to 4.3.0 as the Qt dependency, which showed some glitches
  in the handling of the sequence editor graphics view that were
  fixed.

 -- Filippo Rusconi <massxpert-maintainer@polyxmass.org>  Thu, 19 Jul 2007 14:55:47 +0200

massxpert (1.6.1-1) unstable; urgency=low

  * Added new feature to the XpertEdit module: a mass list
  laboratory. Updated the documentation.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Sun,  1 Jul 2007 18:49:17 +0200

massxpert (1.6.0-rc2-1) unstable; urgency=low

  * Initial release.

 -- Filippo Rusconi <massxpert-maintainer@massxpert.org>  Sun,  1 Jul 2007 18:49:17 +0200

